Bug 126932 - gapcmon option in sysutils/apcupsd conflicts with sysutils/gapcmon
Summary: gapcmon option in sysutils/apcupsd conflicts with sysutils/gapcmon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-29 05:00 UTC by Jason E. Hale
Modified: 2013-02-05 03:39 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2008-08-29 05:00:02 UTC
In sysutils/apcupsd, a GAPCMON OPTION was added which conflicts with
sysutils/gapcmon.  This is the same program and installs in the same
location.  The sysutils/gapcmon port has been in place before gapcmon was
bundled with apcupsd.

Fix: 

There are several things that can be done:
1. CONFLICTS obviously will not work since gapcmon requires apcupsd.
2. Change the GAPCMON OPTION in sysutils/apcupsd to simply depend on the 
   sysutils/gapcmon port as a RUN_DEPENDS.
3. Remove the GAPCMON OPTION from sysutils/apcupsd.
4. Remove the sysutils/gapcmon port which would still require CONFLICTS.

I am the maintainer of sysutils/gapcmon and I favor option #2 since the separate
gapcmon project is updated more often than the one bundled with apcupsd.  It
would also still give the user the option of installing the GUI.
sysutils/gapcmon does not depend on sysutils/apcupsd, so there wouldn't be a
"chicken-egg" problem.
How-To-Repeat: Install sysutils/gapcmon and sysutils/apcupsd with the GAPCMON OPTION enabled;
they will install conflicting files.
Comment 1 Edwin Groothuis freebsd_committer 2008-08-29 05:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-09-07 08:45:16 UTC
itetcu      2008-09-07 07:45:07 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/apcupsd     Makefile 
  Log:
  - conflict with sysutils/gapcmon when WITH_GAPCMON is on since this installs
  the bundled gapcmon in the same place
  - bump PORTREVISION
  
  This is a temporary fix as his suggestion from the PR to depend on
  sysutils/gapcmon is good but need further tests.
  
  PR:             ports/126932
  Submitted by:   Jason E. Hale (sysutils/gapcmon maintainer)
  
  Revision  Changes    Path
  1.59      +2 -0      ports/sysutils/apcupsd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-09-07 08:45:45 UTC
State Changed
From-To: open->suspended

Suspend this PR until the freeze is over.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2013-02-05 03:39:49 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!